/*
 * Header file created from arp_lib.typed_fd by header.typed.awk
 * Run at Saturday 25-May-91 21:12:13
 * Modified for DOS sjw 25.5.91
 */

#ifndef DOSFUNCTIONS_H
#define DOSFUNCTIONS_H

#ifndef LIBRARIES_DOSEXTENS_H
#include <libraries/dosextens.h>
#endif

BPTR
Open(const char * name, long accessMode);

void
Close(BPTR file);

long
Read(BPTR file, char * buffer, long length);

long
Write(BPTR file, const char * buffer, long length);

BPTR
Input(void);

BPTR
Output(void);

long
Seek(BPTR file, long position, long offset);

long
DeleteFile(const char * name);

long
Rename(const char * oldName, const char * newName);

BPTR
Lock(const char * name, long type);

void
UnLock(BPTR lock);

BPTR
DupLock(BPTR lock);

long
Examine(BPTR lock, struct FileInfoBlock * fileInfoBlock);

long
ExNext(BPTR lock, struct FileInfoBlock * fileInfoBlock);

long
Info(BPTR lock, struct InfoData * parameterBlock);

BPTR
CreateDir(const char * name);

BPTR
CurrentDir(BPTR lock);

long
IoErr(void);

struct MsgPort *
CreateProc(const char * name, long pri, BPTR segList, long stackSize);

void
Exit(long returnCode);

BPTR
LoadSeg(const char * fileName);

void
UnLoadSeg(BPTR segment);

struct MsgPort *
DeviceProc(const char * name);

long
SetComment(const char * name, const char * comment);

long
SetProtection(const char * name, long mask);

long *
DateStamp(long * date);

void
Delay(long timeout);

long
WaitForChar(BPTR file, long timeout);

BPTR
ParentDir(BPTR lock);

long
IsInteractive(BPTR file);

long
Execute(const char * string, BPTR inputFile, BPTR outputFile);

#endif /* DOSFUNCTIONS_H */

